@font-face {
  font-family: "hubot-sans";
  src:
    url("../../scoring/fonts/Hubot-Sans.woff") format("woff2 supports variations"),
    url("../../scoring/fonts/Hubot-Sans.woff") format("woff2-variations");
  font-display: block;
  font-weight: 200 900;
  font-stretch: 75% 125%;
}

@font-face {
  font-family: "monaspace-neon";
  src:
    url("../../scoring/fonts/Monaspace-Neon.woff") format("woff2 supports variations"),
    url("../../scoring/fonts/Monaspace-Neon.woff") format("woff2-variations");
  font-display: block;
  font-weight: 200 800;
  font-style: oblique -11deg 0deg;
}

html {
  --primary-dx-color: rgba(0, 0, 0, 0.4);
  --secondary-dx-color: rgba(0, 0, 0, 0.25);
  --primary-dy-color: rgba(0, 0, 0, 0.4);
  --secondary-dy-color: rgba(0, 0, 0, 0.15);
  --page-bg-color: #efefef;
  --page-text-color: #212529;
  --table-dx-color: var(--primary-dx-color);
  --table-dy-color: var(--primary-dy-color);
  --table-text-color: var(--page-text-color);
  --thead-bg-color: #dfdfdf;
  --tbody-bg-color: #fff;
  --link-color: #0035aa;
  --link-hover-color: var(--link-color);
}

* {
  box-sizing: border-box;
}

.logo:hover {
  -webkit-filter: drop-shadow(0px 0px 9px rgba(252, 202, 13, 0.75));
  filter: drop-shadow(0px 0px 9px rgba(252, 202, 13, 0.75));
}
/* Links */

A,
.btn-link {
  color: #0035aa;
  text-decoration: none;
}

A.white {
  color: #ffffff;
}

A.white:visited {
  color: #ffffff;
}

A:hover {
  text-decoration: none;
}

.content a:not(.has-img):not(.nav-link):hover,
.btn-link:hover {
  filter: brightness(0.5);
  text-decoration: underline;
}
.content a:hover img {
  filter: drop-shadow(0px 0px 9px rgba(0, 0, 153, 0.25));
}

A:visited {
  color: #0035aa;
}

/* Page objects */

form {
  margin: 0px;
  padding: 0px;
}

h1,
.h1 {
  font-family: inherit;
  font-size: 12pt;
  font-weight: bold;
}

h2,
.h2 {
  font-family: inherit;
  font-size: 11pt;
  font-weight: bold;
}

h3,
.h3 {
  font-family: inherit;
  font-size: 10pt;
  font-weight: bold;
}

body {
  background-color: #efefef;
}

div.container > div:nth-of-type(odd) {
  background: #e0e0e0;
}

.container {
  position: relative;
}

html,
body,
p {
  font-family: "hubot-sans", sans-serif;
  font-stretch: 105%;
  font-weight: 400;
  font-size: 9pt;
  margin: 0;
  padding: 0;
  text-align: center;
}

p {
  text-align: start;
}

image {
  border: 0;
}

.newinput {
  width: 100%;
  box-sizing: border-box;
  resize: vertical;
}

input[type="text"],
input[type="number"],
textarea {
  background-color: #fff;
  border: 1px solid #999;
  font-family: verdana, sans-serif;
  font-size: 8pt;
  margin: 1px;
  padding: 0 5px;
  /*width:  100%;
    box-sizing:border-box;
    resize:vertical;
    */
}

label {
  /*padding: 12px 12px 12px 0;*/
  display: inline-block;
  font-size: 10pt;
  font-weight: bold;
}

/* Style the submit button 
input[type=button] {
  background-color: #0035aa;
  color: white;
  padding: 12px 20px;
  //border: none;
  border-radius: 4px;
  cursor: pointer;
}*/

select {
  background-color: #fff;
  border: 1px solid #999;
  font-family: verdana, sans-serif;
  font-size: 8pt;
  margin: 0;
  padding: 2px;
}
.form-select {
  border-color: #999;
}

ul {
  margin: 0;
}

.btn:not(.btn-link) {
  background-color: #dfdfdf;
  border: 1px solid rgba(0, 0, 0, 0.15);
  cursor: pointer;
  font-family: "hubot-sans", sans-serif;
}

.btn:not(.btn-link):hover {
  background-color: #c0c0c0;
}

/* Borders */

.bdrBlk1 {
  border: 1px solid black;
}
.bdrGry1 {
  border: 1px solid #999;
}
.bdrWht1 {
  border: 1px solid white;
}
.bdrWht2 {
  border: 2px solid white;
}

.bdrShd {
  border-left: 1px solid white;
  border-top: 1px solid white;
  border-right: 2px solid #666;
  border-bottom: 2px solid #666;
}

.bdrBotGry1 {
  border-bottom: 1px solid #999;
}

.bdrLftDot1 {
  border-left: 1px dotted #999;
}

.bdrTopGry1 {
  border-top: 1px solid #999;
}

.divLeft {
  border-left: 1px dotted #999;
  padding-left: 20px;
}

/* Background colors */

.bgBlue {
  background-color: #ccccff;
}
.bgDkGray {
  background-color: #999;
}
.bgDkYel {
  background-color: #bb0;
}
.bgGray {
  background-color: #dfdfdf;
}
.bgRed {
  background-color: #fcc;
}
.bgYel {
  background-color: yellow;
}
.bgWht {
  background-color: #fff;
}

/* Display */

.hid {
  display: none;
}

/* Foreground colors */

.fgBlack {
  color: #212529;
}
.fgBlue {
  color: #009;
}
.fgDkGray {
  color: #666;
}
.fgGray {
  color: #999;
}
.fgGrn {
  color: #007700;
}
.fgRed {
  color: #cc0000;
}
.fgWht {
  color: white;
}

/* Fonts */

.bold,
b {
  font-weight: 700;
}
.ctr {
  text-align: center;
}
.flclr {
  clear: both;
}
.fllft {
  float: left;
}
.flrgt {
  float: right;
}
.italic,
i {
  font-style: oblique 12deg;
}
.left {
  text-align: left;
}
.notbold {
  font-weight: normal;
}
.nowrap {
  white-space: nowrap;
}
.rgt {
  text-align: right;
}
.sm {
  font-size: 7pt;
}
.vbot {
  vertical-align: bottom;
}
.vmid {
  vertical-align: middle;
}
.vtop {
  vertical-align: top;
}
.wrap {
  white-space: normal;
}
.xval {
  font-family: serif;
  font-weight: bold;
}

/* Margins */

.m0 {
  margin: 0;
}
.m2 {
  margin: 2px;
}
.m5 {
  margin: 5px;
}
.m10 {
  margin: 10px;
}
.m15 {
  margin: 15px;
}
.m20 {
  margin: 20px;
}
.m30 {
  margin: 30px;
}

.mb0 {
  margin-bottom: 0;
}
.mb5 {
  margin-bottom: 5px;
}
.mb10 {
  margin-bottom: 10px;
}
.mb15 {
  margin-bottom: 15px;
}
.mb20 {
  margin-bottom: 20px;
}
.mb25 {
  margin-bottom: 25px;
}
.mb30 {
  margin-bottom: 30px;
}

.ml0 {
  margin-left: 0;
}
.ml5 {
  margin-left: 5px;
}
.ml10 {
  margin-left: 10px;
}
.ml15 {
  margin-left: 15px;
}
.ml20 {
  margin-left: 20px;
}
.ml25 {
  margin-left: 25px;
}
.ml30 {
  margin-left: 30px;
}

.mr0 {
  margin-right: 0;
}
.mr5 {
  margin-right: 5px;
}
.mr10 {
  margin-right: 10px;
}
.mr15 {
  margin-right: 15px;
}
.mr20 {
  margin-right: 20px;
}
.mr25 {
  margin-right: 25px;
}
.mr30 {
  margin-right: 30px;
}

.mt0 {
  margin-top: 0;
}
.mt5 {
  margin-top: 5px;
}
.mt10 {
  margin-top: 10px;
}
.mt15 {
  margin-top: 15px;
}
.mt20 {
  margin-top: 20px;
}
.mt25 {
  margin-top: 25px;
}
.mt30 {
  margin-top: 30px;
}

/* Padding */

.p0 {
  padding: 0;
}
.p2 {
  padding: 2px;
}
.p5 {
  padding: 5px;
}
.p10 {
  padding: 10px;
}
.p20 {
  padding: 20px;
}

.pb5 {
  padding-bottom: 5px;
}
.pb10 {
  padding-bottom: 10px;
}

.pl0 {
  padding-left: 0;
}
.pl5 {
  padding-left: 5px;
}
.pl10 {
  padding-left: 10px;
}
.pl15 {
  padding-left: 15px;
}
.pl20 {
  padding-left: 20px;
}
.pl30 {
  padding-left: 30px;
}

.pr0 {
  padding-right: 0;
}
.pr5 {
  padding-right: 5px;
}
.pr10 {
  padding-right: 10px;
}
.pr15 {
  padding-right: 15px;
}
.pr20 {
  padding-right: 20px;
}
.pr30 {
  padding-right: 30px;
}

.pt0 {
  padding-top: 0;
}
.pt2 {
  padding-top: 2px;
}
.pt5 {
  padding-top: 5px;
}
.pt10 {
  padding-top: 10px;
}
.pt15 {
  padding-top: 15px;
}
.pt20 {
  padding-top: 20px;
}

/* Miscellaneous */

#add_provisional {
  border-bottom: 1px solid #999;
  display: none;
  margin-top: 5px;
  margin-bottom: 10px;
  padding: 5px;
}

#ajaxError {
  background: #fcc;
  border: 2px solid #900;
  color: #c33;
  display: none;
  font-weight: bold;
  padding: 10px;
  text-align: center;
  white-space: normal;
}

.debug {
  background-color: #dfffff;
  border: 1px solid #999;
  margin: 5px;
  padding: 5px;
  text-align: left;
}

.error {
  background: #fcc;
  border: 2px solid #900;
  color: #cc3333;
  font-weight: bold;
  padding: 10px;
  text-align: center;
  white-space: normal;
}

.imgDiv {
  height: 8px;
  margin-left: 3px;
  margin-right: 3px;
  width: 8px;
}

.query {
  border: 1px solid gray;
  padding: 5px;
  font-size: 8pt;
  text-align: left;
  margin: 5px;
  white-space: normal;
}

.tooltip {
  background: transparent url(../../scoring/images/tooltip.png);
  color: black;
  delay: 0;
  display: none;
  font-size: 8pt;
  height: 170px;
  padding: 25px;
  predelay: 1000;
  width: 320px;
}

/* Header/Footer */

.footer {
  background-color: #dedede;
  margin-top: 50px;
  padding: 15px;
  text-align: center;
}

.hdrBdr {
  border-top: 1px dotted #afafaf;
}

.hdrBtn {
  height: 12px;
  width: 12px;
}

.hdrDiv {
  background-color: #d6d6d6;
  border-bottom: 1px solid #666;
  margin: 0;
  padding: 5px;
}

.hdrDiv table {
  width: 100%;
}

.hdrLSS {
  float: left;
}

.hdrTbl {
  width: 100%;
}

.hdrTblDiv {
  border-top: 1px solid #efefef;
  padding-top: 2px;
}

.hdrTblDiv2 {
  background-color: #efefef;
  border-top: 1px solid #999;
  padding-top: 2px;
}

.hdrTop {
  background-color: #666;
  padding: 10px;
  padding-right: 10px;
  padding-top: 5px;
  height: 100px;
}

.hdrTopC {
  text-align: center;
  float: right;
}

.hdrTopL {
  float: left;
}

.hdrTopR {
  float: right;
}

.pageTitle {
  background-color: #dedede;
  font-stretch: 85%;
  margin: -20px calc(var(--bs-gutter-x) * -0.5) 2rem;
  padding: 1.5rem calc(var(--bs-gutter-x) * 0.5);
}
.pageTitle h1 {
  font-family: "hubot-sans", sans-serif;
  font-size: 2rem;
  font-weight: 800;
  line-height: 1;
  margin: 0;
  position: relative;
  text-transform: uppercase;
  top: -1.5px;
  white-space: nowrap;
}
table.pageTitle {
  width: 100%;
}
.pageTitleDescr {
  background-color: #f6f6f6;
  border: 1px dotted #c0c0c0;
  font-style: oblique 12deg;
  margin-bottom: 10px;
  padding: 3px;
  white-space: normal;
  width: 80%;
}
@media (min-width: 768px) {
  .pageTitleLeft {
    border-right: 1px dotted #666666;
    text-align: right;
    vertical-align: top;
    white-space: normal;
  }
  .pageTitleLeft .dropdown-toggle::before {
    display: inline-block;
    margin-right: 0.255em;
    vertical-align: 0.3em;
    content: "";
    border-top: 0.2em solid;
    border-right: 0.2em solid transparent;
    border-bottom: 0;
    border-left: 0.2em solid transparent;
  }
  .pageTitleLeft .dropdown-toggle::after {
    display: none;
  }
}
.pageTitleLeft .dropdown-toggle::after {
  border-top: 0.2em solid;
  border-right: 0.2em solid transparent;
  border-bottom: 0;
  border-left: 0.2em solid transparent;
}
.pageTitleLeft:not([class*="col-"]) {
  padding-right: 20px;
  width: 50%;
}
.pageTitleRight {
  vertical-align: top;
  white-space: normal;
}
.pageTitleRight:not([class*="col-"]) {
  padding-left: 10px;
  width: 50%;
}
[class*="bi-"].reverse::before {
  transform: rotate(180deg);
}

.topLink,
.topLinkCur {
  background-color: #d6d6d6;
  border: 1px solid #999;
  cursor: pointer;
  float: left;
  margin: 0 2px 2px 2px;
  padding: 1px 3px 1px 3px;
  white-space: nowrap;
}

.topLinkCur {
  background-color: #ff9;
}

.topLink:hover {
  background-color: #c0c0c0;
}

/* Table */
table {
  width: 80%;
}

.jsTable:not(.react-table) {
  background-color: #666666;
  border: 1px solid #999;
  position: relative;
}
.jsTable:not(.react-table) table,
.jsTable:not(.react-table) table tr,
.jsTable:not(.react-table) table td {
  border: 0;
}
.jsTable:not(.react-table) table {
  width: 100%;
}
.jsTable:not(.react-table) tr {
  border: 1px solid #999;
  /* vertical-align: baseline; */
  text-align: center;
}
.jsTable:not(.react-table) th {
  border: 1px solid #999;
  text-align: center;
}
.jsTable:not(.react-table) td {
  border: 1px solid #999;
  line-height: 1.1;
  padding-top: 5px;
  padding-bottom: 2px;
  text-align: center;
}
.jsTable:not(.react-table) tr:hover {
  background-color: #f0f0f0;
  cursor: pointer;
}

.inner {
  border-style: none;
}

.inner td {
  border-style: none;
}

.inner tr {
  border-style: none;
}

.inner th {
  border-style: none;
}

.jsTableHdr {
  background-color: #dfdfdf;
}
/* .jsTableHdr th	{ padding-bottom: 2px; padding-top: 2px; } */
.jsTableHdrClk {
  text-decoration: underline;
}
.jsTableHdrOver {
  background-color: #cfffff;
}
.jsTableRow {
  background-color: #ffffff;
}
.jsTableRowHi {
  background-color: #cfffcf;
}
.jsTableRowOver {
  background-color: #ccffff;
}
.jsTableRowSel {
  background-color: #ffcc66;
}

.react-table-edges {
  position: relative;
}
.react-table-wrapper.scrolling {
  overflow-x: auto;
}
.react-table-wrapper.scrolling::before,
.react-table-wrapper.scrolling::after {
  background: linear-gradient(90deg, rgba(104, 104, 104, 0.5), transparent);
  bottom: 1px;
  content: " ";
  left: calc(var(--left, 0) - 1px);
  opacity: 0;
  pointer-events: none;
  position: absolute;
  right: auto;
  top: 1px;
  transition: opacity 0.1s ease-in-out;
  width: 2rem;
  z-index: 1;
}
.react-table-wrapper.scrolling::after {
  background: linear-gradient(90deg, transparent, rgba(104, 104, 104, 0.5));
  border-right: 1px solid #999;
  left: auto;
  right: 0;
}
.react-table-wrapper.scrolling.overflow-left::before {
  opacity: 1;
}
.react-table-wrapper.scrolling.overflow-right::after {
  opacity: 1;
}
.react-table {
  border: 0;
  border-collapse: separate;
  border-spacing: 0;
  position: relative;
  width: 100%;
}
.react-table .data {
  font-family: "monaspace-neon", monospace;
  text-align: right;
}
.react-table .pinned-left {
  position: sticky;
  z-index: 1;
}
.react-table thead th,
.react-table tfoot th {
  background-color: var(--thead-bg-color);
  border-top: 1px solid var(--table-dx-color);
  /* border-bottom: 1px solid #999; */
  border-left: 1px solid var(--secondary-dy-color);
  font-family: "hubot-sans", sans-serif;
  font-size: 0.825rem;
  font-stretch: 75%;
  font-weight: 700;
  line-height: 1.2;
  padding-bottom: 3px;
  padding-top: 5px;
  text-align: center;
  text-transform: uppercase;
}
.react-table tfoot td {
  background-color: var(--thead-bg-color);
  border-left: 1px solid var(--secondary-dy-color);
  border-top: 0;
  font-weight: 600;
  padding-top: 5px;
  padding-bottom: 3px;
}
.react-table tfoot td:empty {
  display: none;
}
.react-table tbody tr {
  background-color: var(--tbody-bg-color);
}
.react-table tbody tr.bgBlue,
.react-table tbody td.bgBlue {
  background-color: #ccccff;
}
.react-table tbody tr.bgGreen,
.react-table tbody td.bgGreen {
  background-color: #cfffcf;
}
.react-table tbody td {
  background-color: inherit;
  border-top: 1px solid var(--table-dx-color);
  border-left: 1px solid var(--secondary-dy-color);
  font-family: "monaspace-neon", monospace;
  font-size: 0.875rem;
  font-weight: 400;
  font-stretch: 75%;
  line-height: 1.8725;
  padding-top: 4px;
}
.react-table tbody .subrow td {
  border-top-color: var(--secondary-dx-color);
  /* border-left-color: var(--secondary-dy-color); */
}
.react-table tbody td input,
.react-table tbody td select {
  border-radius: 0;
  font-family: "monaspace-neon", monospace;
  margin: -1px 0 2px;
  /* min-height: auto; */
  padding-top: 2px;
  padding-bottom: 0;
}
.react-table tbody td select {
  margin: -3px 0 0;
  padding: 5px;
}
.react-table tbody td[rowspan] {
  border-right: 0;
}
.react-table thead th:first-child,
.react-table tbody td:first-child,
.react-table tbody td[rowspan] + td,
.react-table tfoot td:first-child {
  border-left: 1px solid var(--table-dy-color);
}
.react-table thead th:last-child,
.react-table tbody td:last-child,
/* .react-table tbody td[rowspan] + td, */
.react-table tfoot td:last-child {
  border-right: 1px solid var(--table-dy-color);
}
.react-table tbody tr:last-child td,
.react-table tfoot tr:last-child td {
  border-bottom: 1px solid var(--table-dx-color);
}
.react-table .driver_name,
a[href^="driver"]:not(.nav-link) {
  font-weight: 700;
  font-stretch: 105%;
  text-transform: uppercase;
}
.react-table .primary {
  font-weight: 600;
  /* font-stretch: 105%; */
  /* letter-spacing: -0.025rem; */
  /* text-transform: uppercase; */
  /* word-spacing: -0.25rem; */
}
.react-table .best {
  font-weight: 700;
}
.react-table .bns {
  color: #090;
}
.react-table .pen {
  color: #c00;
}
.react-table .disabled {
  opacity: 0.5;
}
.react-table-footer {
  background-color: var(--thead-bg-color);
  border-bottom: 1px solid var(--table-dx-color);
  border-left: 1px solid var(--table-dy-color);
  border-right: 1px solid var(--table-dy-color);
  font-family: "hubot-sans", sans-serif;
  font-size: 0.875rem;
  font-stretch: 100%;
  font-weight: 400;
  line-height: 1.4;
  padding: 5px;
}
.react-table-footer li {
  display: inline-block;
  margin: 0;
  padding: 0 2.5px;
}
.react-table-footer li + li::before {
  content: "\00b7";
  padding-right: 5px;
}
.react-table [class*="bi-"],
.react-table-footer [class*="bi-"] {
  font-size: 1.2rem;
  line-height: 1;
  position: relative;
  top: 1px;
}
.react-table thead th [class*="bi-"] {
  font-size: 0.6rem;
  position: relative;
  top: -1px;
}
.react-table .bi-trophy-fill span {
  color: white;
  font-size: 0.55rem;
  left: 0.01rem;
  position: absolute;
  text-align: center;
  top: 0.05rem;
  width: 100%;
}
.react-table tr:hover {
  background-color: #f0f0f0;
  cursor: pointer;
}

.session-container {
  margin-bottom: 40px;
}
.heading-track-name {
  font-family: "hubot-sans", sans-serif;
  font-size: 2.5rem;
  font-stretch: 80%;
  font-weight: 800;
  line-height: 1;
  margin: 0;
  text-transform: uppercase;
}
.subheading-track-name {
  font-family: "hubot-sans", sans-serif;
  font-size: 1.2rem;
  font-stretch: 100%;
  font-weight: 500;
  line-height: 1;
}
.heading-session-name {
  font-family: "hubot-sans", sans-serif;
  font-size: 2.5rem;
  font-stretch: 125%;
  font-weight: 900;
  line-height: 1;
  margin: 0;
  text-align: left;
  text-transform: uppercase;
}
.heading-session-name.dropdown-toggle::after {
  border-width: 5px 5px 0 5px;
  margin-left: 5px;
}
.heading-subtable {
  font-family: "hubot-sans", sans-serif;
  font-size: 1.5rem;
  font-stretch: 125%;
  font-weight: 900;
  line-height: 1;
  margin-bottom: 5px;
  text-align: left;
  text-transform: uppercase;
}
.car-lineup img {
  width: 100%;
  transition: filter 0.2s ease-in-out;
}
.car-lineup img.disabled {
  filter: grayscale(100%) opacity(0.25);
}
.session-meta {
  margin: 0;
}
.session-meta > div {
  padding: 0 0 5px;
}
.session-container + .session-container .session-meta > div {
  border-top: 1px solid #999;
  padding-top: 10px;
}
.session-details {
  font-family: "hubot-sans", sans-serif;
  font-size: 1rem;
  font-stretch: 100%;
  font-weight: 400;
  line-height: 1.4;
  text-align: right;
}

.qTbl {
  background-color: #666666;
  margin-top: 5px;
}
.qTbl td th {
  font-size: 7pt;
}
.qTblHdr {
  background-color: #dfdfdf;
}
.qTblRow {
  background-color: #ffffff;
}

td {
  font-family: "monaspace-neon", monospace;
  font-size: 8pt;
  font-stretch: 75%;
  padding-left: 5px;
  padding-right: 5px;
  text-align: left;
  white-space: nowrap;
}

th {
  font-family: inherit;
  font-size: 8pt;
  font-stretch: 75%;
  font-weight: 700;
  line-height: 1.1;
  padding: 5px 5px 3px;
  text-align: center;
  text-transform: uppercase;
  white-space: nowrap;
}

.wp50 {
  width: 50%;
}
.wp90 {
  width: 90%;
}
.wp100 {
  width: 100%;
}

.sidebar {
  padding: 15px;
  background-color: whitesmoke;
  float: left;
  text-align: center;
  font-size: 14px;
  box-shadow:
    0 1px 3px rgba(0, 0, 0, 0.12),
    0 1px 2px rgba(0, 0, 0, 0.24);
}

.menu ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.menu li {
  padding: 8px;
  margin-bottom: 7px;
  background-color: #0035aa;
  color: #ffffff;
  box-shadow:
    0 1px 3px rgba(0, 0, 0, 0.12),
    0 1px 2px rgba(0, 0, 0, 0.24);
}

.menu li:hover {
  background-color: #e2001b;
  color: #000000;
  text-decoration: none;
}

.cookie-consent {
  position: fixed;
  bottom: 0px;
  width: 100%;
  height: 45px;
  color: #fff;
  line-height: 20px;
  padding-left: 10px;
  padding-right: 10px;
  font-size: 14px;
  background: #292929;
  z-index: 120;
  cursor: pointer;
  border-radius: 0px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.allow-button {
  height: 20px;
  width: 104px;
  color: #fff;
  font-size: 12px;
  line-height: 10px;
  border-radius: 3px;
  border: 1px solid green;
  background-color: green;
}

#cookie-consent-banner {
  position: fixed;
  bottom: 0;
  width: 100%;
  background-color: #f2f2f2;
  padding: 16px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
}

#cookie-consent-banner p {
  margin: 0;
}

#cookie-consent-button {
  background-color: #4caf50;
  border: none;
  color: white;
  padding: 8px 16px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  border-radius: 4px;
  cursor: pointer;
  margin-left: 16px;
}

.icon-ai {
  height: 1.2rem;
  opacity: 0.6;
  padding-left: 5px;
  position: relative;
  top: -1px;
}

.lds-facebook {
  display: inline-block;
  position: relative;
  width: 1.375rem;
  height: 1.375rem;
  transform: scale(0.3) translateY(-1.8rem);
}
.lds-facebook div {
  display: inline-block;
  position: absolute;
  left: 8px;
  width: 16px;
  background: #ccc;
  animation: lds-facebook 1.2s cubic-bezier(0, 0.5, 0.5, 1) infinite;
}
.lds-facebook div:nth-child(1) {
  left: 8px;
  animation-delay: -0.24s;
}
.lds-facebook div:nth-child(2) {
  left: 32px;
  animation-delay: -0.12s;
}
.lds-facebook div:nth-child(3) {
  left: 56px;
  animation-delay: 0;
}
@keyframes lds-facebook {
  0% {
    top: 8px;
    height: 64px;
  }
  50%,
  100% {
    top: 24px;
    height: 32px;
  }
}

.dropdown-menu-dark {
  background-color: #212529;
}
.dropdown .dropdown-toggle:hover {
  text-decoration: underline;
}
.dropdown .dropdown-toggle::after {
  margin-left: 5px;
}
.dropdown .dropdown-header {
  font-size: 1.1rem;
  font-stretch: 125%;
  font-weight: 700;
  padding: 5px 10px;
  text-transform: uppercase;
}
.dropdown .dropdown-item {
  border-bottom: 1px solid rgba(0, 0, 0, 0.05);
  color: rgba(33, 37, 41, 1);
  font-stretch: 85%;
  font-weight: 500;
  font-size: 0.925rem;
  padding: 8px 10px;
  position: relative;
  text-transform: uppercase;
}
.dropdown .dropdown-item:hover {
  background-color: rgba(0, 0, 0, 0.05);
  color: rgba(33, 37, 41, 1);
  text-decoration: underline;
}
.dropdown *:last-child > .dropdown-item {
  border-bottom: 0;
}
.dropdown .dropdown-menu {
  border: 1px solid rgba(0, 0, 0, 0.15);
  border-radius: 0.25rem;
}
.dropdown .dropdown-divider {
  margin-top: 0;
  margin-bottom: 0;
}
.dropdown ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

.navbar-dark .navbar-brand {
  margin-left: -5px;
}
.navbar .nav-item {
  font-family: "hubot-sans", sans-serif;
  font-size: 1.1rem;
  font-stretch: 85%;
  font-weight: 600;
  text-transform: uppercase;
}
.navbar .social {
  opacity: 0.5;
  transition: opacity 0.1s ease-in-out;
}
.navbar .social:hover {
  opacity: 1;
}
.navbar .btn {
  background-color: #666;
  border-color: #666;
  padding: 0.25rem 0.75rem;
  border-radius: 0;
}
.navbar .btn:hover,
.navbar .btn:focus {
  background-color: #ccc;
  border-color: #666;
  border-left-color: #ccc;
}
.navbar .form-control-sm {
  background-color: #212529;
  border: 1px solid #666;
  color: #fff;
  height: 2rem;
  border-radius: 0;
}
.navbar .form-control-sm:focus {
  border-color: #666;
  border-radius: 0;
}

.userbar {
  background-color: rgb(252, 202, 13);
  box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.5);
  font-family: "hubot-sans", sans-serif;
  font-size: 1rem;
  font-stretch: 85%;
  font-weight: 300;
  margin-bottom: 20px;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  position: relative;
  z-index: 1;
}
.userbar .nav-item:not(:first-child) {
  border-left: 1px solid rgba(33, 37, 41, 0.25);
  margin-left: 1rem;
  padding-left: 1rem;
}
.userbar .nav-link {
  color: #212529;
  padding: 0;
  text-transform: uppercase;
}
.userbar span.nav-link {
  text-transform: capitalize;
}
.userbar b {
  font-weight: 600;
  margin-left: 2px;
  text-transform: uppercase;
  word-spacing: 0.1rem;
}
.userbar button {
  background: transparent;
  border: 0;
  font-size: 1rem;
  font-stretch: 85%;
  font-weight: 600;
  padding: 0;
  text-transform: uppercase;
}
.userbar .bi-gear {
  position: relative;
  top: 1px;
}
.userbar .dropdown-toggle::after {
  margin-left: 5px;
}
.userbar .dropdown-menu {
  align-items: stretch;
  background-color: #fff;
  border: 1px solid rgba(0, 0, 0, 0.15);
  border-radius: 0.25rem;
  font-family: "hubot-sans", sans-serif;
  font-stretch: 105%;
  padding: 10px;
}
.userbar .dropdown-header {
  background-color: rgba(0, 0, 0, 0.1);
  color: #212529;
  font-weight: 700;
  font-stretch: 75%;
  line-height: 1.1;
  padding: 10px;
}
.userbar .dropdown-item {
  color: rgba(33, 37, 41, 1);
  position: relative;
}
.userbar .dropdown-item:hover {
  text-decoration: underline;
}
.userbar .d-grid {
  grid-auto-flow: column;
  grid-template-rows: repeat(3, auto);
  margin: -10px;
  width: min-content;
}
.userbar .d-grid .col {
  display: contents;
  white-space: nowrap;
  width: max-content;
}
.userbar .d-grid .col:not(:first-child) > * {
  border-left: 1px solid rgba(0, 0, 0, 0.5);
}
.userbar .dropdown-divider {
  border-left: 1px solid rgba(0, 0, 0, 0.15);
}
.userbar .d-grid ul {
  list-style: none;
  margin: 0;
  padding: 0;
}
.userbar .form-select + .form-select {
  margin-top: 5px;
}

.nav-tabs {
  border-color: #999;
  display: flex;
  justify-content: center;
}

.nav-tabs .nav-link {
  border-radius: 0;
  /* color: #0035aa; */
  color: #212529;
  font-family: "hubot-sans", sans-serif;
  font-size: 1.2rem;
  font-stretch: 75%;
  font-weight: 400;
  opacity: 0.5;
  padding-left: 2rem;
  padding-right: 2rem;
  text-transform: uppercase;
  transition: opacity 0.1s ease-in-out;
}
.nav-tabs .nav-link.active,
.nav-tabs .nav-link.active:hover,
.nav-tabs .nav-link.active:active {
  background-color: #efefef;
  border-color: #999 #999 #efefef;
  font-weight: 700;
  opacity: 1;
}
.nav-tabs .nav-link:hover,
.nav-tabs .nav-link:active {
  border-color: #efefef #efefef #999;
  opacity: 1;
}

.nav-pills .nav-item {
  font-stretch: 85%;
  text-transform: uppercase;
}
.nav-pills .nav-link {
  color: #0035aa;
}
.nav-pills .nav-link.active {
  background-color: #0035aa;
  margin-left: 1rem;
  margin-right: 1rem;
}

.race-details {
  align-items: center;
  display: flex;
  justify-content: center;
  margin-bottom: 20px;
}
.race-details .track-logo img {
  max-height: 8rem;
  max-width: 100%;
}
.race-details .col-3.track-logo img {
  max-height: 4rem;
}
.race-details .track-map img {
  filter: brightness(0.5);
}
.race-details .col-3.track-map img {
  max-height: 5rem;
}
.race-details .track-meta {
  font-family: "hubot-sans", sans-serif;
  font-size: 1.2rem;
  font-stretch: 100%;
  font-weight: 500;
  line-height: 1;
  margin-top: 10px;
}
.race-details .heading-track-name + .track-meta {
  margin-top: 5px;
}
.race-details .track-meta span {
  display: inline-block;
  padding: 0 10px;
}
.race-details .track-meta i {
  font-style: oblique 12deg;
}

.lss-dropdown {
  font-family: "hubot-sans", sans-serif;
  font-size: 1rem;
  line-height: 1;
}
.lss-dropdown .dropdown-toggle {
  background: transparent;
  border: 0;
  border-radius: 0;
  color: inherit;
  cursor: pointer;
  font-stretch: 85%;
  padding: 0;
}
.lss-dropdown .dropdown-toggle.bold {
  display: block;
  font-weight: 700;
}

.patreon .dropdown-menu {
  background-color: #f2f2f2;
}
.patreon .dropdown-toggle {
  background-color: rgba(0, 0, 0, 0.1);
  border-radius: 0.25rem;
  margin: 0;
  padding: 2px 10px 1px;
}
.patreon:hover {
  background-color: rgba(0, 0, 0, 0.2);
}
.patreon svg {
  height: 1.15rem;
  margin-right: 0.5rem;
  position: relative;
  top: -1px;
}
.patreon p {
  font-family: "hubot-sans", sans-serif;
  font-size: 0.875rem;
  font-weight: 500;
  line-height: 1.2;
  margin: 0.5rem 0;
}
.patreon .row {
  flex-wrap: nowrap;
  margin: 2rem 0 0.5rem;
}
.patreon .col {
  align-items: center;
  background-color: #fff;
  border: 1px solid rgba(0, 0, 0, 0.15);
  border-radius: 0.25rem;
  color: #212529;
  font-weight: 800;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  line-height: 1;
  margin: 0 calc(var(--bs-gutter-x) * 0.5);
  padding: 20px 20px 15px;
  position: relative;
  text-transform: uppercase;
}
.patreon .col:nth-child(2) {
  border: 3px solid rgb(252, 202, 13);
  border-top: 1px solid #fff;
  position: relative;
  top: 2px;
}
.patreon .btn {
  background-color: rgb(252, 202, 13);
  border: 0;
  color: #212529;
  font-size: 1rem;
  font-stretch: 85%;
  font-weight: 800;
  margin: 1rem 0;
  width: 100%;
}
.patreon .eyebrow {
  background-color: rgb(252, 202, 13);
  border-top-left-radius: 0.25rem;
  border-top-right-radius: 0.25rem;
  font-stretch: 125%;
  font-size: 0.7rem;
  font-weight: 800;
  left: -3px;
  line-height: 1;
  padding: 5px 0;
  position: absolute;
  right: -3px;
  text-align: center;
  top: calc(-0.7rem - 10px);
}
.patreon em {
  font-size: 1.1rem;
  font-style: normal;
}
.patreon b {
  font-size: 2rem;
  font-stretch: 85%;
  font-weight: 900;
  margin-top: 1.5rem;
  white-space: nowrap;
}
.patreon small {
  font-size: 0.7em;
  font-weight: 400;
  margin-top: 0.5rem;
}
.patreon span {
  font-size: 0.85rem;
  font-weight: 400;
  line-height: 1.2;
  max-width: 100%;
  text-align: center;
  text-transform: none;
  white-space: normal;
}

.placeholder {
  align-items: center;
  background-color: #dfdfdf;
  border: 1px solid #999;
  display: flex;
  flex-grow: 1;
  font-family: "hubot-sans", sans-serif;
  font-stretch: 75%;
  font-weight: 600;
  justify-content: center;
  padding: 5px 0;
  text-transform: uppercase;
}

.race-navigation,
.race-navigation .dropdown-toggle {
  width: 100%;
}
.race-navigation i {
  font-size: 1.5rem;
}
.race-navigation .btn {
  margin-left: 5px;
  margin-right: 5px;
}
.race-navigation .btn:not(.dropdown) {
  flex-grow: 0;
}
.race-navigation .btn:not(.dropdown):not([disabled]),
.race-navigation .btn:not(.dropdown):not([disabled]):visited {
  color: #0035aa;
}
.race-navigation .btn:hover,
.race-navigation .btn:hover .dropdown-toggle {
  filter: none !important;
  text-decoration: none !important;
}
.race-navigation .dropdown-menu {
  border-top: 0;
  min-width: calc(100% + 2px);
}
.race-navigation .dropdown-toggle,
.race-navigation .dropdown-menu.show {
  display: grid;
  grid-template-columns: max-content 1fr auto;
  grid-template-rows: 1fr 1fr;
  line-height: 1.2;
  text-align: left;
  text-transform: uppercase;
}
.race-navigation .dropdown-toggle::after {
  align-self: center;
  grid-column: 3;
  grid-row: 1 / span 2;
  margin-left: 10px;
}
.race-navigation .dropdown-menu > li,
.race-navigation .dropdown-item {
  display: contents;
}
.race-navigation .dropdown-item {
  padding: 5px 10px;
}
.race-navigation .dropdown-item:hover * {
  background-color: rgba(0, 0, 0, 0.05);
}
.race-navigation .race-date {
  align-items: top;
  border-right: 1px dotted #999;
  display: flex;
  font-size: 2.2rem;
  font-stretch: 125%;
  font-weight: 900;
  grid-column: 1;
  grid-row: span 2;
  line-height: 1;
  padding-right: 8px;
}
.race-navigation .dropdown-item .race-date {
  align-items: center;
  border-top: 1px solid rgba(0, 0, 0, 0.15);
  border-right-color: rgba(0, 0, 0, 0.1);
  font-size: 1.8rem;
  justify-content: center;
  padding: 5px 5px 3px;
}
.race-navigation .dropdown-item .track-name {
  border-top: 1px solid rgba(0, 0, 0, 0.15);
  padding-top: 5px;
  padding-left: 10px;
  padding-right: 10px;
}
.race-navigation .dropdown-item .track-name.chase {
  padding-top: 10px;
  padding-bottom: 8px;
}
.race-navigation .race-date span {
  font-size: 0.875rem;
  font-weight: 400;
  line-height: 1.5;
  margin-right: 8px;
}
.race-navigation .dropdown-item .race-date span {
  display: none;
}
.race-navigation .track-name {
  font-weight: 700;
  padding-left: 10px;
  grid-column: 2;
}
.race-navigation .race-details {
  display: block;
  font-style: oblique 12deg;
  grid-column: 2;
  margin: 0;
  padding-left: 10px;
}
.race-navigation .dropdown-item .race-details {
  padding-bottom: 3px;
  padding-right: 10px;
}

.cursor-pointer {
  cursor: pointer;
}

.race-tile {
  background-color: white;
  border: 1px solid rgba(0, 0, 0, 0.25);
  border-radius: 0.25rem;
  box-shadow: 0 0 3px 0 rgba(0, 0, 0, 0.25);
  transition: 150ms ease-in-out;
}

.race-tile:hover {
  box-shadow: 0 0 9px 0 rgba(0, 53, 170, 0.75);
  cursor: pointer;
}

.race-tile .league {
  background-color: rgba(0, 0, 0, 0.1);
  border-bottom: 1px solid rgba(0, 0, 0, 0.15);
  font-family: "hubot-sans", sans-serif;
  font-size: 0.875rem;
  font-stretch: 85%;
  font-weight: 700;
  line-height: 1.2;
  padding-top: calc(0.5rem + 2px) !important;
  text-align: center;
  text-transform: uppercase;
}

.race-tile li {
  align-items: center;
  display: flex;
  font-family: "monaspace-neon", monospace;
  font-size: 0.8rem;
  font-weight: 600;
  padding-left: 0.25rem;
  padding-right: 0.25rem;
  text-align: left;
  text-transform: uppercase;
  white-space: nowrap;
}

.race-tile li:not(:first-child) {
  border-top: 1px dotted rgba(0, 0, 0, 0.15);
  padding-top: 0.25rem;
  padding-bottom: 1px;
}

.race-tile li::before {
  content: "\f5e6"; /* This is the unicode for the Bootstrap icon */
  font-family: bootstrap-icons;
  display: inline-block;
  margin-right: 0.75rem;
}

.race-tile li:nth-child(1)::before {
  color: #f9a602;
}

.race-tile li:nth-child(2)::before {
  color: #c3c7c7;
}

.race-tile li:nth-child(3)::before {
  color: #b1560f;
}

#ticker {
  margin-bottom: 20px;
  margin-top: -20px;
  margin-left: calc(1.5rem * -0.5);
  margin-right: calc(1.5rem * -0.5);
  overflow: hidden;
}

#ticker .glide {
  background: #dfdfdf;
  border-bottom: 1px solid rgba(0, 0, 0, 0.15);
  box-shadow: inset 0 -3px 4px -4px rgba(0, 0, 0, 0.5);
  padding-left: 7.25rem;
  /* padding-right: calc(1.5rem * 0.5); */
}

#ticker .glide__track {
  padding-top: 7px;
  padding-bottom: 5px;
}

#ticker .glide__slide {
  padding: 5px;
}

#ticker .glide__arrows {
  align-items: center;
  background: #dfdfdf;
  box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.5);
  bottom: 0;
  display: flex;
  flex-direction: column;
  font-family: "hubot-sans", sans-serif;
  font-size: 1.5rem;
  font-stretch: 125%;
  font-weight: 900;
  justify-content: center;
  left: -1rem;
  line-height: 1;
  padding-top: 10px;
  padding-bottom: 10px;
  padding-left: 2rem;
  padding-right: 1.1rem;
  position: absolute;
  text-align: left;
  text-transform: uppercase;
  /* top: -12px; */
  top: 0;
  transform: skew(-11deg);
  width: auto;
}

#ticker .glide__arrows > div {
  transform: skew(11deg);
}

#ticker .glide__arrow {
  background: rgba(0, 0, 0, 0.1);
  border: 0;
  color: #212529;
  padding-bottom: 0.5rem;
}

#ticker .glide__arrow:hover {
  background: rgba(0, 0, 0, 0.2);
}

#ticker .glide__arrow:first-child {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
  margin-right: 1px;
}

#ticker .glide__arrow:last-child {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  margin-left: 1px;
}

.calendar-event {
  background: white;
  border: 1px solid rgba(0, 0, 0, 0.15);
  border-radius: 0.25rem;
  box-shadow: 0 0 3px 0 rgba(0, 0, 0, 0.15);
  min-height: 50px;
  position: relative;
  transition: 120ms ease-out;
}

.calendar-event .calendar-event {
  background: transparent;
  border: 0;
  border-radius: 0;
  box-shadow: none;
  margin-top: 0.25rem;
}

.calendar-event:hover {
  box-shadow: 0 0 9px 0 rgba(0, 53, 170, 0.75);
  cursor: pointer;
  z-index: 0;
}

.time {
  color: rgba(0, 0, 0, 0.5);
  font-size: 0.875rem;
  font-stretch: 75%;
  font-weight: 600;
}

.calendar-event .title {
  font-family: "hubot-sans", sans-serif;
  font-size: 1rem;
  font-stretch: 85%;
  font-weight: 700;
  line-height: 1;
  text-transform: uppercase;
}

.calendar-event .subtitle {
  font-size: 0.875rem;
  font-stretch: 85%;
  font-weight: 400;
  line-height: 1;
  text-transform: uppercase;
}

.calendar-event li {
  list-style: none;
  font-size: 0.875rem;
  font-stretch: 85%;
  line-height: 20px;
}

.calendar-event .react-table {
  border-top: 1px dotted rgba(0, 0, 0, 0.15);
  padding-top: 0.5rem;
}

.mini-table .react-table thead th {
  background: transparent;
}

.mini-table .react-table thead th,
.mini-table .react-table tbody td {
  border-color: white !important;
  border-width: 2px;
  line-height: 1;
  padding: 0.5rem 0.75rem 0.35rem;
}

.mini-table .react-table tbody tr:nth-child(odd) td {
  background-color: rgba(0, 0, 0, 0.05);
}

.mini-table .react-table tbody td:first-child {
  border-top-left-radius: 0.25rem;
  border-bottom-left-radius: 0.25rem;
  border-left-width: 0;
}

.mini-table .react-table tbody td:last-child {
  border-top-right-radius: 0.25rem;
  border-bottom-right-radius: 0.25rem;
}

#broadcast {
  border-top-left-radius: 0.25rem;
  border-top-right-radius: 0.25rem;
  position: relative;
  width: 100%;
  padding-bottom: 56.25%; /* 9 / 16 = 0.5625 */
  overflow: hidden;
}

#broadcast > * {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

.wp-content {
  background: white;
  border-top-left-radius: 0.25rem;
  border-top-right-radius: 0.25rem;
  padding: 1rem 1.75rem 5rem;
}

.card {
  border: none;
  margin-top: 1rem;
  padding-right: 10%;
}

.card:not(:first-child) {
  border-top: 1px solid rgba(0, 0, 0, 0.15);
  margin-top: 2rem;
  padding-top: 2rem;
}

.card-body {
  padding: 0;
}

.card-body p {
  line-height: 1.5;
  margin-top: 1rem;
}

.fc-1 {
  font-stretch: 75%;
}

.fc-2 {
  font-stretch: 85%;
}